org.eclipse.viatra.cep.core.engine.runtime

## Class RuntimeRules

- java.lang.Object
- - org.eclipse.viatra.cep.core.engine.runtime.RuntimeRules

-     public class RuntimeRules
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeRules(org.eclipse.viatra.cep.core.engine.IEventModelManager eventModelManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.viatra.cep.core.engine.IEventModelManager` | `getEventModelManager()`
    `java.util.Map<RuleSpecification<?>,java.lang.Integer>` | `getModelHandlers()`
    `EventDrivenTransformationRuleGroup` | `getRules()`
    `EventDrivenTransformation` | `registerRulesWithCustomPriorities()`
    `void` | `setEventModelManager(org.eclipse.viatra.cep.core.engine.IEventModelManager eventModelManager)`
    `void` | `setModelHandlers(java.util.Map<RuleSpecification<?>,java.lang.Integer> modelHandlers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeRules

          public RuntimeRules(org.eclipse.viatra.cep.core.engine.IEventModelManager eventModelManager)

  - ### Method Detail

    - #### getRules

          public EventDrivenTransformationRuleGroup getRules()

    - #### registerRulesWithCustomPriorities

          public EventDrivenTransformation registerRulesWithCustomPriorities()

    - #### getEventModelManager

          @Pure
          public org.eclipse.viatra.cep.core.engine.IEventModelManager getEventModelManager()

    - #### setEventModelManager

          public void setEventModelManager(org.eclipse.viatra.cep.core.engine.IEventModelManager eventModelManager)

    - #### getModelHandlers

          @Pure
          public java.util.Map<RuleSpecification<?>,java.lang.Integer> getModelHandlers()

    - #### setModelHandlers

          public void setModelHandlers(java.util.Map<RuleSpecification<?>,java.lang.Integer> modelHandlers)